CREATE TABLE mot_qm_terr_quota_config (
    QUOTA_CONFIG_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    TERRITORY_ID                  NUMBER(18, 0) ,
    TERRITORY_VERSION_ID          NUMBER(18, 0) ,
    PROPOSAL_ID                   NUMBER(18, 0) ,
    SEASONALITY_FACTOR_DEFN_ID    NUMBER(18, 0) ,
    QUOTA_PLAN_ID                 NUMBER(18, 0)     NOT NULL,
    PLAN_DURATION                 NUMBER(9, 0)  ,
    PROPOSAL_DURATION             NUMBER(9, 0)  ,
    PROP_CONFLICT_EXISTS_FLAG     VARCHAR2(4)   ,
    ALLOW_QUOTA_EDIT_FLAG         VARCHAR2(4)   ,
    TERRITORY_DELETED_FLAG        VARCHAR2(4)   ,
    PAD_THRESHOLD_PERCENT         NUMBER        ,
    COPY_PREDICTION_FLAG          VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    QUOTA_CONFIG_ID               NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    TERRITORY_ID                  NUMBER(18, 0) ,
    TERRITORY_VERSION_ID          NUMBER(18, 0) ,
    PROPOSAL_ID                   NUMBER(18, 0) ,
    SEASONALITY_FACTOR_DEFN_ID    NUMBER(18, 0) ,
    QUOTA_PLAN_ID                 NUMBER(18, 0)     NOT NULL,
    PLAN_DURATION                 NUMBER(9, 0)  ,
    PROPOSAL_DURATION             NUMBER(9, 0)  ,
    PROP_CONFLICT_EXISTS_FLAG     VARCHAR2(4)   ,
    ALLOW_QUOTA_EDIT_FLAG         VARCHAR2(4)   ,
    TERRITORY_DELETED_FLAG        VARCHAR2(4)   ,
    PAD_THRESHOLD_PERCENT         NUMBER        ,
    COPY_PREDICTION_FLAG          VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CONSTRAINT pk_mot_qm_terr_quota_config PRIMARY KEY (QUOTA_CONFIG_ID, QUOTA_CONFIG_ID)
);
